#!/bin/bash
# Authors: Silian Della Ragione
#          Andres Gomez Garcia <agomez@igalia.com>
#          Antoine <Alan71> Gassot <antoine_dot_gassot_at_gmail_dot_com>
#          Modification by 'Albert'
#          (04/02/08) Modified to fix stream/mp3 tune strings by mbishop <mbishop@esoteriq.org>
#          (01 May 2008) fixed output tune format. evgs <evgs@bombus-im.org>
# Version: 0.0.4
# License GNU/GPL
############################################################################
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
#########################################################################


change () {
    title=`dcop amarok player title`
    artist=`dcop amarok player artist`
    album=`dcop amarok player album`
    track=`dcop amarok player track`
    time=`dcop amarok player totalTime`
    type=`dcop amarok player type`

    if [ "$type" = "Stream" ];
      then echo ${title}$'\n'$'\n'${album} > ~/.psi/tune
      else echo ${title}$'\n'${artist}$'\n'${album}$'\n'${track}$'\n'${time} > ~/.psi/tune
    fi

}

stop () {
    rm ~/.psi/tune
}

terminate () {
    stop
    exit 0
}

trap terminate 0 1 2 5 15

while [ 1 ]
do
    read input
    input=$(echo $input | sed -e 's/engineStateChange:\ //')

    case "$input" in
    "playing" | "trackChange" )
        change
        ;;
    "paused" | "empty" | "idle" )
        stop
        ;;
    esac
done
